Package tigase.xmpp.impl

# Class PresenceCapabilitiesManager

java.lang.Object
tigase.xmpp.impl.PresenceCapabilitiesManager

public class PresenceCapabilitiesManager extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PresenceCapabilitiesManager.PresenceCapabilitiesListener`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CAPS_NODE`
  `static final String`
  `charsetName`
  `static final String`
  `HASH_ALGORITHM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresenceCapabilitiesManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `generateVerificationString(String[] identities, String[] features)`
  `static String`
  `generateVerificationString(String[] identities, String[] features, Element extensions)`
  `static String`
  `generateVerificationStringFromDiscoInfo(Element discoInfo)`
  `static Element`
  `getCapsElement(String caps)`
  `static String[]`
  `getFeaturesFromDiscoInfo(Element discoInfo)`
  `static String[]`
  `getNodeFeatures(String capsNode)`
  `static Set<String>`
  `getNodesWithFeature(String feature)`
  `static void`
  `handlePresence(JID owner, JID from, String[] capsNodes, Queue<Packet> results)`
  `static void`
  `prepareCapsQueries(JID compJid, JID to, String[] caps_nodes, Queue<Packet> results)`
  `static void`
  `prepareCapsQueriesEl(JID compJid, JID to, String[] caps_nodes, Queue<Element> results)`
  `static Packet`
  `prepareCapsQuery(JID to, JID from, String node)`
  `static Element`
  `prepareCapsQueryEl(JID to, JID from, String node)`
  `static void`
  `processCapsQueryResponse(Packet packet)`
  `static String[]`
  `processPresence(Element c)`
  `static String[]`
  `processPresence(JID compJid, Packet p, Queue<Packet> results)`
  `static void`
  `registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)`
  `static void`
  `setNodeFeatures(String capsNode, String[] features)`
  `static void`
  `unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CAPS_NODE

    public static final String CAPS_NODE
    See Also:
      - Constant Field Values

  - ### HASH_ALGORITHM

    public static final String HASH_ALGORITHM
    See Also:
      - Constant Field Values

  - ### charsetName

    public static final String charsetName
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PresenceCapabilitiesManager

    public PresenceCapabilitiesManager()

- ## Method Details

  - ### generateVerificationString

    public static String generateVerificationString(String[] identities, String[] features)

  - ### generateVerificationString

    public static String generateVerificationString(String[] identities, String[] features, Element extensions)

  - ### generateVerificationStringFromDiscoInfo

    public static String generateVerificationStringFromDiscoInfo(Element discoInfo)

  - ### getCapsElement

    public static Element getCapsElement(String caps)

  - ### getFeaturesFromDiscoInfo

    public static String[] getFeaturesFromDiscoInfo(Element discoInfo)

  - ### getNodeFeatures

    public static String[] getNodeFeatures(String capsNode)

  - ### getNodesWithFeature

    public static Set<String> getNodesWithFeature(String feature)

  - ### handlePresence

    public static void handlePresence(JID owner, JID from, String[] capsNodes, Queue<Packet> results)

  - ### prepareCapsQueries

    public static void prepareCapsQueries(JID compJid, JID to, String[] caps_nodes, Queue<Packet> results)

  - ### prepareCapsQueriesEl

    public static void prepareCapsQueriesEl(JID compJid, JID to, String[] caps_nodes, Queue<Element> results)

  - ### prepareCapsQuery

    public static Packet prepareCapsQuery(JID to, JID from, String node)

  - ### prepareCapsQueryEl

    public static Element prepareCapsQueryEl(JID to, JID from, String node)

  - ### processCapsQueryResponse

    public static void processCapsQueryResponse(Packet packet)

  - ### processPresence

    public static String[] processPresence(Element c)

  - ### processPresence

    public static String[] processPresence(JID compJid, Packet p, Queue<Packet> results)

  - ### registerPresenceHandler

    public static void registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

  - ### setNodeFeatures

    public static void setNodeFeatures(String capsNode, String[] features)

  - ### unregisterPresenceHandler

    public static void unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)